MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028407Open CASCADE[OCCT] OCCT:Visualizationpublic2017-01-30 11:292017-07-10 14:13
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version 
Summary0028407: Visualization - remove ::UpdateMode() from Graphic3d_StructureManager
DescriptionGraphic3d_StructureManager defines a property myUpdateMode of type Aspect_TypeOfUpdate with the following description:
  //! Modifies the screen update mode.
  //!
  //! TOU_ASAP - as soon as possible
  //! TOU_WAIT - on demand (with the Update function)
  //! Note : Dynamic Operations and Update Mode
  //! Use SetUpdateMode to control when changes to
  //! the display are made.   Use one of the   following
  //! functions to update one or more views:
  //! - Update all views of the viewer: Graphic3d_StructureManager::Update()
  //! - Update one view of the viewer:  Graphic3d_View::Update()
  //! Use one of the following functions to update the entire display:
  //! - Redraw all structures in all views: Graphic3d_StructureManager::Redraw()
  //! - Redraw all structures in one view:  Graphic3d_View::Redraw()
  void SetUpdateMode (const Aspect_TypeOfUpdate theType) { myUpdateMode = theType; }


In real practice, Aspect_TOU_ASAP is never used - it makes no sense and dangerous, because viewer updates are managed by high-level APIs (e.g. AIS_InteractiveContext).

Therefore, it is proposed removing this class property.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028088verifiedkgv Visualization, AIS_InteractiveContext - drop default value for Update Viewer parameter 
parent of 0028895verifiedbugmaster Visualization, V3d_View::SetComputedMode() - HLR calculation is performed multiple times when 'hlr on' has been called 

-  Notes
(0063187)
git (administrator)
2017-01-30 13:55

Branch CR28407 has been created by kgv.

SHA-1: f08d2bcbef680d278040436a7993211d0932df35


Detailed log of new commits:

Author: kgv
Date: Mon Jan 30 13:09:22 2017 +0300

    0028407: Visualization - remove ::UpdateMode() from Graphic3d_StructureManager
(0063189)
kgv (developer)
2017-01-30 14:02

Patch is ready for review.
(0063274)
san (developer)
2017-01-31 22:14

Branch CR28407 reviewed without remarks, ready for testing.
(0063343)
mkv (tester)
2017-02-02 12:11

Dear BugMaster,
Branch CR28407 from occt git-repository (and CR28407 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: f08d2bcbef680d278040436a7993211d0932df35
SHA-1: 34e4ef7eab6cb52dfa7f0651ca51dd6b91670422

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1158

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 92112973 / 92298184 [-0.20%]
Total CPU difference: 19982.75000000017 / 19914.000000000215 [+0.35%]
products component :
Total MEMORY difference: 31494179 / 31477908 [+0.05%]
Total CPU difference: 5616.349999999975 / 5544.959999999981 [+1.29%]

Testing on Windows:
occt component :
Total MEMORY difference: 57620759 / 57618048 [+0.00%]
Total CPU difference: 18485.151293798543 / 18683.178963198647 [-1.06%]
products component :
Total MEMORY difference: 22659009 / 22621210 [+0.17%]
Total CPU difference: 5492.8108100999825 / 5570.546108399986 [-1.40%]

There are no differences in images found by testdiff.
(0063344)
mkv (tester)
2017-02-02 12:11

Dear BugMaster,
Branch CR28407 from occt git-repository and CR28407 from products git-repository are TESTED.
(0063634)
git (administrator)
2017-02-08 11:36

Branch CR28407 has been deleted by kgv.

SHA-1: f08d2bcbef680d278040436a7993211d0932df35

- Related Changesets
occt: master cfece3ef
Timestamp: 2017-01-30 10:09:22
Author: kgv
Committer: apn
Details ] Diff ]
0028407: Visualization - remove ::UpdateMode() from Graphic3d_StructureManager
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - dox/user_guides/visualization/visualization.md Diff ] File ]
rm - src/Aspect/Aspect_TypeOfUpdate.hxx Diff ] File ]
mod - src/Aspect/FILES Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Group.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_StructureManager.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_StructureManager.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/V3d/FILES Diff ] File ]
mod - src/V3d/V3d_DirectionalLight.cxx Diff ] File ]
mod - src/V3d/V3d_PositionalLight.cxx Diff ] File ]
mod - src/V3d/V3d_PositionLight.cxx Diff ] File ]
mod - src/V3d/V3d_SpotLight.cxx Diff ] File ]
rm - src/V3d/V3d_TypeOfUpdate.hxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_Viewer.cxx Diff ] File ]
mod - src/V3d/V3d_Viewer.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-01-30 11:29 kgv New Issue
2017-01-30 11:29 kgv Assigned To => kgv
2017-01-30 11:29 kgv Relationship added related to 0028088
2017-01-30 13:55 git Note Added: 0063187
2017-01-30 14:02 kgv Note Added: 0063189
2017-01-30 14:02 kgv Assigned To kgv => san
2017-01-30 14:02 kgv Status new => resolved
2017-01-31 22:14 san Note Added: 0063274
2017-01-31 22:14 san Assigned To san => bugmaster
2017-01-31 22:14 san Status resolved => reviewed
2017-02-01 11:29 mkv Assigned To bugmaster => mkv
2017-02-02 12:11 mkv Note Added: 0063343
2017-02-02 12:11 mkv Note Added: 0063344
2017-02-02 12:11 mkv Assigned To mkv => bugmaster
2017-02-02 12:11 mkv Status reviewed => tested
2017-02-02 12:12 mkv Test case number => Not needed
2017-02-03 16:52 apn Changeset attached => occt master cfece3ef
2017-02-03 16:52 apn Assigned To bugmaster => apn
2017-02-03 16:52 apn Status tested => verified
2017-02-03 16:52 apn Resolution open => fixed
2017-02-08 11:36 git Note Added: 0063634
2017-07-10 14:13 kgv Relationship added parent of 0028895


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker